## kdepim 16.04.3

=== korganizer/CMakeLists.txt ===
project(korganizer)

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )
add_definitions(-DTRANSLATION_DOMAIN=\"korganizer\")

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
)

if(BUILD_TESTING)
   add_subdirectory(tests)
   add_subdirectory(autotests)
endif()
add_subdirectory(interfaces)
add_subdirectory(pixmaps)
add_subdirectory(sounds)
add_subdirectory(kcmconfigs)
add_subdirectory(kontactplugin)
add_subdirectory(views/collectionview)
add_subdirectory(kconf_update)

set(PERL ${PERL_EXECUTABLE})
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/data/ical2vcal.cmake ${CMAKE_CURRENT_BINARY_DIR}/ical2vcal @ONLY
)

########### next target ###############

set(korganizer_common_SRCS)
ecm_qt_declare_logging_category(korganizer_common_SRCS HEADER korganizer_debug.h IDENTIFIER KORGANIZER_LOG CATEGORY_NAME log_korganizer)

set(korganizer_SRCS
  main.cpp
  korganizer.cpp
  koapp.cpp
  plugininterface/korganizerplugininterface.cpp
  ${korganizer_common_SRCS}
)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pixmaps/*-apps-korganizer.png")
ecm_add_app_icon(korganizer_SRCS ICONS ${ICONS_SRCS})

add_executable(korganizer ${korganizer_SRCS})

target_link_libraries(korganizer
  KF5::KontactInterface
  KF5::CalendarCore
  KF5::Libkdepim
  KF5::KdepimDBusInterfaces
  korganizerprivate
  korganizer_interfaces
  korganizer_core
)

install(TARGETS
  korganizer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

########### next target ###############

set(kcm_korganizer_PART_SRCS
  kcmdesignerfields.cpp
  korganizer_debug.cpp
  prefs/koprefsdialog.cpp
  widgets/kitemiconcheckcombo.cpp
)

add_library(kcm_korganizer MODULE ${kcm_korganizer_PART_SRCS})
generate_export_header(kcm_korganizer BASE_NAME kcm_korganizer) 

target_link_libraries(kcm_korganizer
  KF5::AkonadiCalendar
  KF5::CalendarSupport 
  KF5::EventViews
  KF5::IncidenceEditor
  KF5::Libkdepim
  korganizer_core
  korganizerprivate
  Qt5::UiTools
  KF5::CalendarCore
  KF5::Holidays
  KF5::MailTransport
  Qt5::UiTools
  KF5::PimCommon
)

install(TARGETS
  kcm_korganizer
  DESTINATION ${KDE_INSTALL_PLUGINDIR}
)

########### next target ###############

set(korganizerpart_PART_SRCS korganizer_part.cpp korganizer_debug.cpp)

add_library(korganizerpart MODULE ${korganizerpart_PART_SRCS})

target_link_libraries(korganizerpart
  KF5::CalendarSupport 
  korganizer_core
  korganizer_interfaces
  korganizerprivate
  KF5::AkonadiCore
  KF5::CalendarCore
  KF5::CalendarUtils
)

install(TARGETS
  korganizerpart
  DESTINATION ${KDE_INSTALL_PLUGINDIR}
)


########### next target ###############

set(korganizer_core_LIB_SRCS
  prefs/koprefs.cpp
  kocore.cpp
  ${korganizer_common_SRCS}
)

kconfig_add_kcfg_files(korganizer_core_LIB_SRCS settings/koprefs_base.kcfgc)

add_library(korganizer_core ${korganizer_core_LIB_SRCS})
generate_export_header(korganizer_core BASE_NAME korganizer_core)

target_link_libraries(korganizer_core
PUBLIC
  korganizer_interfaces
PRIVATE
  KF5::CalendarSupport 
  KF5::EventViews
  KF5::IdentityManagement
)

target_include_directories(korganizer_core PUBLIC
  "$<BUILD_INTERFACE:${korganizer_SOURCE_DIR};${korganizer_BINARY_DIR}>"
)

set_target_properties(korganizer_core PROPERTIES
  VERSION ${KDEPIM_LIB_VERSION}
  SOVERSION ${KDEPIM_LIB_SOVERSION}
)

install(TARGETS
  korganizer_core ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

########### next target ###############

set(korganizerprivate_LIB_SRCS
    ${korganizer_common_SRCS}
    korgmigrateapplication.cpp
    collectiongeneralpage.cpp
    aboutdata.cpp
    actionmanager.cpp
    akonadicollectionview.cpp
    views/collectionview/reparentingmodel.cpp
    views/collectionview/controller.cpp
    views/collectionview/calendardelegate.cpp
    views/collectionview/quickview.cpp
    calendarview.cpp
    datechecker.cpp
    datenavigator.cpp
    datenavigatorcontainer.cpp
    dialog/exportwebdialog.cpp
    dialog/filtereditdialog.cpp
    job/htmlexportjob.cpp
    widgets/kdatenavigator.cpp
    kocheckableproxymodel.cpp
    kocorehelper.cpp
    kodaymatrix.cpp
    kodialogmanager.cpp
    koeventpopupmenu.cpp
    dialog/noteeditdialog.cpp
    koeventview.cpp
    dialog/koeventviewerdialog.cpp
    koglobals.cpp
    kohelper.cpp
    impl/korganizerifaceimpl.cpp
    koviewmanager.cpp
    kowindowlist.cpp
    widgets/navigatorbar.cpp
    dialog/searchdialog.cpp
    helper/searchcollectionhelper.cpp
    views/agendaview/koagendaview.cpp
    views/journalview/kojournalview.cpp
    views/listview/kolistview.cpp
    views/monthview/monthview.cpp
    views/multiagendaview/multiagendaview.cpp
    views/timelineview/kotimelineview.cpp
    views/timespentview/kotimespentview.cpp
    views/todoview/kotodoview.cpp
    views/whatsnextview/kowhatsnextview.cpp
  )

kconfig_add_kcfg_files(korganizerprivate_LIB_SRCS settings/htmlexportsettings.kcfgc)

ki18n_wrap_ui(korganizerprivate_LIB_SRCS
    ui/filteredit_base.ui
    ui/kogroupwareprefspage.ui
    views/multiagendaview/multiagendaviewconfigwidget.ui
    ui/searchdialog_base.ui
    views/collectionview/quickview.ui
)

qt5_add_resources(korganizerprivate_LIB_SRCS
    agendaitem_pixmaps/agendaitemtheme.qrc)

qt5_add_dbus_adaptor(korganizerprivate_LIB_SRCS
    data/org.kde.korganizer.Korganizer.xml impl/korganizerifaceimpl.h
    KOrganizerIfaceImpl
)

qt5_add_dbus_adaptor(korganizerprivate_LIB_SRCS
    data/org.kde.Korganizer.Calendar.xml actionmanager.h
    ActionManager calendaradaptor KOrgCalendarAdaptor
)

qt5_add_dbus_interfaces(korganizerprivate_LIB_SRCS
    data/org.kde.korganizer.Korganizer.xml
)

qt5_add_dbus_interfaces(korganizerprivate_LIB_SRCS
    ${CMAKE_SOURCE_DIR}/korgac/org.kde.korganizer.KOrgac.xml
)

qt5_add_dbus_interfaces(korganizerprivate_LIB_SRCS
    ${CMAKE_SOURCE_DIR}/korganizer/data/org.kde.korganizer.Korganizer.xml
)

add_library(korganizerprivate ${korganizerprivate_LIB_SRCS})
generate_export_header(korganizerprivate BASE_NAME korganizerprivate)

target_link_libraries(korganizerprivate
PUBLIC
    KF5::PimCommon
PRIVATE
    KF5::CalendarSupport 
    KF5::EventViews
    KF5::IncidenceEditor
    KF5::Libkdepim
    KF5::KdepimDBusInterfaces
    korganizer_core
    korganizer_interfaces
    KF5::AkonadiCore
    KF5::AkonadiCalendar
    KF5::AkonadiNotes
    KF5::AkonadiSearchPIM
    KF5::Contacts
    KF5::CalendarCore
    KF5::CalendarUtils
    KF5::Holidays
    KF5::Mime
    KF5::IdentityManagement
    KF5::KCMUtils
    KF5::NewStuff
    KF5::Ldap
    KF5::MailCommon
)

target_include_directories(korganizerprivate PUBLIC
    "$<BUILD_INTERFACE:${korganizer_SOURCE_DIR};${korganizer_BINARY_DIR}>"
)

set_target_properties(korganizerprivate PROPERTIES
    VERSION ${KDEPIM_LIB_VERSION}
    SOVERSION ${KDEPIM_LIB_SOVERSION}
)

install(TARGETS
    korganizerprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    LIBRARY NAMELINK_SKIP
)

########### install files ###############

install(FILES
    settings/korganizer.kcfg
    DESTINATION ${KDE_INSTALL_KCFGDIR}
)

install(FILES
    data/korganizer_part.rc
    DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/korganizer
)

install(FILES
    dbuscalendar.desktop
    DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR}
)

install(FILES
    korganizer_part.desktop data/webcal.protocol
    DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)

install(FILES
    data/korganizerui.rc
    DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/korganizer
)

install(FILES
    data/org.kde.Korganizer.Calendar.xml data/org.kde.korganizer.Korganizer.xml
    DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
)

install(FILES
    data/korganizer.knsrc
    DESTINATION ${KDE_INSTALL_CONFDIR}
)

install(PROGRAMS
    org.kde.korganizer.desktop korganizer-import.desktop
    DESTINATION ${KDE_INSTALL_APPDIR}
)

install(FILES
    org.kde.korganizer.appdata.xml
    DESTINATION ${KDE_INSTALL_METAINFODIR}
)

install(PROGRAMS
    ${CMAKE_CURRENT_BINARY_DIR}/ical2vcal
    DESTINATION ${KDE_INSTALL_BINDIR}
)

=== doc/akonadi_notes_agent/CMakeLists.txt ===
########### install files ###############
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR akonadi_notes_agent)

=== knotes/noteshared/CMakeLists.txt ===
project(noteshared)

add_subdirectory(src)
if (BUILD_TESTING)
   add_subdirectory(autotests)
endif()

=== korganizer/autotests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

########### next target ###############

add_executable(testkodaymatrix testkodaymatrix.cpp ../kodaymatrix.cpp)

target_link_libraries(testkodaymatrix
  KF5::AkonadiCore
  KF5::CalendarCore
  KF5::CalendarSupport
  korganizer_core
  korganizerprivate
  Qt5::Test
)

set(koeventpopupmenutest_SRCS ../koeventpopupmenu.cpp ../kocorehelper.cpp ../dialog/noteeditdialog.cpp ../korganizer_debug.cpp)
set(koeventpopupmenutest_LIBS Qt5::Test
  Qt5::Gui
  Qt5::Core
  KF5::Mime
  KF5::AkonadiCore
  KF5::AkonadiCalendar
  KF5::AkonadiNotes
  KF5::CalendarCore
  KF5::IncidenceEditor
  KF5::CalendarSupport
  korganizer_core
  korganizerprivate
)
add_akonadi_isolated_test_advanced(koeventpopupmenutest.cpp "${koeventpopupmenutest_SRCS}" "${koeventpopupmenutest_LIBS}")

add_executable(noteeditdialogtest noteeditdialogtest.cpp ../dialog/noteeditdialog.cpp ../korganizer_debug.cpp)
add_test(noteeditdialogtest noteeditdialogtest)
ecm_mark_as_test(noteeditdialogtest)
target_link_libraries(noteeditdialogtest
  Qt5::Test
  Qt5::Gui
  Qt5::Core
  KF5::Mime
  KF5::AkonadiCore
  KF5::AkonadiCalendar
  KF5::AkonadiNotes
  KF5::CalendarCore
  KF5::IncidenceEditor
  KF5::CalendarSupport
  korganizer_core
  korganizerprivate
  )

=== agents/archivemailagent/autotests/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_SOURCE_DIR}/../.. )

remove_definitions( -DQT_NO_CAST_FROM_BYTEARRAY )

# Convenience macro to add unit tests.
macro( archivemail_agent _source)
  set( _test ${_source} ../archivemailinfo.cpp ../archivemaildialog.cpp ../archivemailagentutil.cpp ../addarchivemaildialog.cpp  ../widgets/formatcombobox.cpp ../widgets/unitcombobox.cpp ../archivemailwidget.cpp)
  ki18n_wrap_ui(_test ../ui/archivemailwidget.ui )
  ecm_qt_declare_logging_category(_test HEADER archivemailagent_debug.h IDENTIFIER ARCHIVEMAILAGENT_LOG CATEGORY_NAME log_archivemailagent)
  get_filename_component( _name ${_source} NAME_WE )
  add_executable( ${_name} ${_test} )
  add_test( ${_name} ${_name} )
  ecm_mark_as_test(archivemailagent-${_name})
  target_link_libraries( ${_name} Qt5::Test Qt5::Core KF5::MailCommon KF5::AkonadiCore KF5::XmlGui KF5::KIOWidgets KF5::Libkdepim)
endmacro()

archivemail_agent(archivemailinfotest.cpp )
archivemail_agent(archivemaildialogtest.cpp)
archivemail_agent(formatcomboboxtest.cpp)
archivemail_agent(unitcomboboxtest.cpp)

=== knotes/src/print/autotests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_SOURCE_DIR}/../.. )

set( knotes_knotesgrantleeprint_source knotesgrantleeprinttest.cpp  )
add_executable( knotesgrantleeprinttest ${knotes_knotesgrantleeprint_source})
add_test(knotesgrantleeprinttest knotesgrantleeprinttest)
ecm_mark_as_test(knotesgrantleeprinttest)
target_link_libraries( knotesgrantleeprinttest Qt5::Test Qt5::Gui KF5::AkonadiCore knotesprivate KF5::Mime KF5::AkonadiNotes Grantlee5::Templates KF5::PimCommon)

=== plugins/messageviewer/bodypartformatter/calendar/CMakeLists.txt ===


add_definitions(-DTRANSLATION_DOMAIN=\"messageviewer_text_calendar_plugin\")
set(messageviewer_bodypartformatter_text_calendar_PART_SRCS text_calendar.cpp delegateselector.cpp attendeeselector.cpp memorycalendarmemento.cpp syncitiphandler.cpp)

ecm_qt_declare_logging_category(messageviewer_bodypartformatter_text_calendar_PART_SRCS HEADER text_calendar_debug.h IDENTIFIER TEXT_CALENDAR_LOG CATEGORY_NAME log_text_calendar)

qt5_add_dbus_interfaces(messageviewer_bodypartformatter_text_calendar_PART_SRCS
  ${CMAKE_SOURCE_DIR}/korganizer/data/org.kde.Korganizer.Calendar.xml
)

ki18n_wrap_ui(messageviewer_bodypartformatter_text_calendar_PART_SRCS attendeeselector.ui)

add_library(messageviewer_bodypartformatter_text_calendar MODULE ${messageviewer_bodypartformatter_text_calendar_PART_SRCS})


target_link_libraries(messageviewer_bodypartformatter_text_calendar
  KF5::Codecs
  Qt5::Core 
  KF5::CalendarCore
  KF5::CalendarUtils
  KF5::Mime
  KF5::IdentityManagement
  KF5::MailTransport
  KF5::AkonadiMime
  KF5::CalendarSupport
  KF5::Libkdepim
  KF5::MessageViewer
  KF5::Libkleo
)

target_link_libraries(messageviewer_bodypartformatter_text_calendar KF5::IncidenceEditor)

install(TARGETS messageviewer_bodypartformatter_text_calendar  DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES text_calendar.desktop DESTINATION ${KDE_INSTALL_DATADIR}/messageviewer/plugins/bodypartformatter)

=== debian/changelog ===
kdepim (4:16.04.3-4~deb9u1) stretch; urgency=high

  * Team upload.

  [ Sandro Knauß ]
  * Fix CVE-2017-9604: Send Later with Delay bypasses OpenPGP (Closes: #864804)
    - Added upstream patch fix-CVE-2017-9604.patch

 -- Sandro Knauß <hefee@debian.org>  Sat, 17 Jun 2017 12:12:03 +0200

kdepim (4:16.04.3-3) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Fix "Kalarm crash when exit in lxqt" (Closes: #844627)
    - Added backported upstream commit c9bcccb3d05e5433128593638a573980eb3ba308
      fix_crash_on_exit.patch
  * Fix "kalarm crashes after second instance started"(Closes: #844628)
    - Added backported upstream commit d8c5a241747675e767f96da9444c5745430fab62
      fix_crash_when_a_second_instance_of_KAlarm_is_started.patch
  * Fix "konsolekalendar seems to have useless default behaviour"
      (Closes: #402084)
    - Added patch konsolekalendar_help.patch
      Thanks to Tomas Pospisek for the patch
  * Delete unused lintian-override file.
  * Add Multi-Arch hint for kdepim-doc.

 -- Sandro Knauß <hefee@debian.org>  Wed, 23 Nov 2016 14:38:49 +0100

kdepim (4:16.04.3-2) unstable; urgency=medium

  * Add new patch: akregator_crash_on_exit.patch.
    Thanks to Ismael Bejarano for the backtrace and Sandro Knauß for the patch
    (Closes: 836011)
  * Update install files
  * Add libkf5akonadisearch-plugins dependency to kmail.
    Thanks to Maria for reporting (Closes: 830563)
  * Use the new kf5 dev names, and wrap-and-sort

 -- Maximiliano Curia <maxy@debian.org>  Thu, 20 Oct 2016 11:17:39 +0200

kdepim (4:16.04.3-1) unstable; urgency=medium

  * Add missing runtime dependencies.
    Thanks to Francois Marier for reporting and investigating the issue
    (Closes: 831535)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 17 Jul 2016 21:52:45 +0200

kdepim (4:16.04.2-2) unstable; urgency=low

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 07 Jul 2016 15:33:02 +0200

kdepim (4:16.04.2-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Add kdepim-addons as a recommends.
    Thanks to Martin Steigerwald for reporting (Closes: 826746)
  * Bump akonadi-server version dependency.
    Thanks to Diederik de Haas for reporting. (Closes: 826865)
  * Drop obsolete qtquick1 build dependency
  * Drop breaks against libkdepim4 to allow co installabity
  * Bump mailcommon build dependency

  [ Jeremy Bicha ]
  * Drop obsolete build-dependency on link-grammar (Closes: 825715)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 02 Jul 2016 22:50:01 +0200

kdepim (4:16.04.1-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Refresh patches
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Add missing dependency on akonadi-server.
  * Add missing dependency on kdepim-runtime for kmail.
  * Refresh patches
  * Update build dependencies to follow the package version instead of the libraries soversions.
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add missing break/replaces (oxygen5-icon-themes)
  * Drop moved away packages
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Update test dependenccies
  * Add missing Breaks/Replaces

 -- Maximiliano Curia <maxy@debian.org>  Mon, 06 Jun 2016 23:37:32 +0200

=== debian/control ===
Source: kdepim
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               kross-dev (>= 5.19.0~),
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgpgme11-dev,
               libgrantlee5-dev (>= 5.0.0~),
               libkf5akonadi-dev (>= 4:15.12~),
               libkf5akonadicalendar-dev (>= 15.12~),
               libkf5akonadicontact-dev (>= 4:15.12~),
               libkf5akonadimime-dev (>= 4:15.12~),
               libkf5akonadinotes-dev (>= 4:15.12~),
               libkf5akonadisearch-dev (>= 15.12~),
               libkf5akonadiserver-dev (>= 15.12~),
               libkf5alarmcalendar-dev (>= 15.12~),
               libkf5archive-dev (>= 5.19.0~),
               libkf5auth-dev (>= 5.19.0~),
               libkf5blog-dev (>= 15.12~),
               libkf5calendarcore-dev (>= 4:15.12~),
               libkf5calendarsupport-dev (>= 5.2.0~),
               libkf5calendarutils-dev (>= 15.12~),
               libkf5codecs-dev (>= 5.19.0~),
               libkf5completion-dev (>= 5.16.0~),
               libkf5composereditorng-dev,
               libkf5config-dev (>= 5.19.0~),
               libkf5contacts-dev (>= 15.12~),
               libkf5coreaddons-dev (>= 5.16.0~),
               libkf5dbusaddons-dev (>= 5.19.0~),
               libkf5dnssd-dev (>= 5.19.0~),
               libkf5doctools-dev,
               libkf5eventviews-dev (>= 5.2.0~),
               libkf5followupreminder-dev (>= 5.2.0~),
               libkf5gapi-dev (>= 5.1~),
               libkf5globalaccel-dev (>= 5.19.0~),
               libkf5gpgmepp-dev (>= 15.12~),
               libkf5grantleetheme-dev (>= 5.2.0~),
               libkf5gravatar-dev (>= 5.2.0~),
               libkf5holidays-dev (>= 15.12~),
               libkf5i18n-dev (>= 5.16.0~),
               libkf5iconthemes-dev (>= 5.16.0~),
               libkf5identitymanagement-dev (>= 15.12~),
               libkf5imap-dev (>= 15.12~),
               libkf5incidenceeditor-dev (>= 5.2.0~),
               libkf5itemviews-dev (>= 5.16.0~),
               libkf5kaddressbookgrantlee-dev (>= 5.2.0~),
               libkf5kcmutils-dev (>= 5.19.0~),
               libkf5kdelibs4support-dev (>= 5.19.0~),
               libkf5kdepimdbusinterfaces-dev,
               libkf5kdgantt2-dev (>= 5.2.0~),
               libkf5khtml-dev (>= 5.16.0~),
               libkf5kontactinterface-dev (>= 15.12~),
               libkf5ksieve-dev (>= 5.2.1~),
               libkf5ldap-dev (>= 15.12~),
               libkf5libkdepim-dev (>= 5.2.0~),
               libkf5libkleo-dev (>= 5.2.0~),
               libkf5mailcommon-dev (>= 4:16.04.2~),
               libkf5mailimporter-dev (>= 5.2.0~),
               libkf5mailtransport-dev (>= 15.12~),
               libkf5mbox-dev (>= 15.12~),
               libkf5messagecomposer-dev,
               libkf5messagecore-dev (>= 5.2.0~),
               libkf5messagelist-dev,
               libkf5messageviewer-dev (>= 5.2.0~),
               libkf5mime-dev (>= 15.12~),
               libkf5newstuff-dev (>= 5.19.0~),
               libkf5notifyconfig-dev (>= 5.19.0~),
               libkf5pimcommon-dev (>= 5.2.0~),
               libkf5pimtextedit-dev (>= 15.12~),
               libkf5sendlater-dev,
               libkf5service-dev (>= 5.19.0~),
               libkf5sonnet-dev (>= 5.19.0~),
               libkf5syndication-dev (>= 15.12~),
               libkf5templateparser-dev,
               libkf5texteditor-dev (>= 5.19.0~),
               libkf5textwidgets-dev (>= 5.16.0~),
               libkf5tnef-dev (>= 15.12~),
               libkf5wallet-dev (>= 5.19.0~),
               libkf5webkit-dev (>= 5.19.0~),
               libkf5widgetsaddons-dev (>= 5.16.0~),
               libkf5windowsystem-dev (>= 5.16.0~),
               libkf5xmlgui-dev (>= 5.16.0~),
               libkf5xmlrpcclient-dev (>= 5.2.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.5.0~),
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.4.0~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.5.0~),
               qtdeclarative5-dev (>= 5.4.0~),
               qttools5-dev (>= 5.5.0~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev
Build-Depends-Indep: dblatex
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdepim.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdepim.git

Package: kdepim
Section: metapackages
Architecture: all
Depends: accountwizard (>= ${source:Version}),
         akonadiconsole (>= ${source:Version}),
         akregator (>= ${source:Version}),
         blogilo (>= ${source:Version}),
         kaddressbook (>= ${source:Version}),
         kalarm (>= ${source:Version}),
         kdepim-runtime,
         kleopatra,
         kmail (>= ${source:Version}),
         knotes (>= ${source:Version}),
         konsolekalendar (>= ${source:Version}),
         kontact (>= ${source:Version}),
         korganizer (>= ${source:Version}),
         ${misc:Depends}
Recommends: kdepim-addons, kdepim-doc
Description: Personal Information Management apps from the official KDE release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of Personal Information Management
 (PIM) desktop applications provided with the official release of KDE.

Package: kdepim-doc
Section: doc
Multi-Arch: foreign
Architecture: all
Suggests: doc-base, konqueror | www-browser
Breaks: akregator (<< 4:4.14.3),
        blogilo (<< 4:4.14.3),
        kaddressbook (<< 4:4.14.3),
        kalarm (<< 4:4.14.3),
        kjots (<< 4:4.14.3),
        kleopatra (<< 4:4.14.3),
        kmail (<< 4:4.14.3),
        knode (<< 4:4.14.3),
        knotes (<< 4:4.14.3),
        konsolekalendar (<< 4:4.14.3),
        kontact (<< 4:4.14.3),
        korganizer (<< 4:4.14.3),
        ktimetracker (<< 4:4.14.3)
Replaces: akregator (<< 4:4.14.3),
          blogilo (<< 4:4.14.3),
          kaddressbook (<< 4:4.14.3),
          kalarm (<< 4:4.14.3),
          kjots (<< 4:4.14.3),
          kleopatra (<< 4:4.14.3),
          kmail (<< 4:4.14.3),
          knode (<< 4:4.14.3),
          knotes (<< 4:4.14.3),
          konsolekalendar (<< 4:4.14.3),
          kontact (<< 4:4.14.3),
          korganizer (<< 4:4.14.3),
          ktimetracker (<< 4:4.14.3)
Description: KDE Personal Information Management library documentation
 KDE core library documentation. You need this documentation to develop KDE PIM
 applications.
 .
 This package is part of KDE, and a component of the KDE PIM module.
 See the 'kde' and 'kdepim' packages for more information.

Package: akregator
Section: web
Architecture: any
Depends: kinit, kio, ${misc:Depends}, ${shlibs:Depends}
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator
 Akregator is a news feed reader. It enables you to follow
 news sites, blogs and other RSS/Atom-enabled websites without the need to
 manually check for updates using a web browser. Akregator is designed to be
 both easy to use and to be powerful enough to read hundreds of news sources
 conveniently. It comes with Konqueror integration for adding news feeds and
 with an internal browser for easy news reading.
 .
 This package is part of the KDE PIM module.

Package: accountwizard
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-runtime (<< 4:15.07.90~)
Replaces: kdepim-runtime (<< 4:15.07.90~)
Description: wizard for KDE PIM applications account setup
 Handles account setup of e-mail accounts for KDE PIM applications.
 .
 This package is part of the KDE PIM module.

Package: kaddressbook
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: address book and contact data manager
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.
 .
 This package is part of the KDE PIM module.

Package: kalarm
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Suggests: jovie
Homepage: http://www.astrojar.org.uk/kalarm/
Description: alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file. It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
 .
 This package is part of the KDE PIM module.

Package: storageservicemanager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM storage service
 This package adds storage plugins for KDE PIM applications such as
 google-drive and dropbox.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kmail
Section: mail
Architecture: any
Depends: akonadi-server (>= 4:16.04),
         kdepim-runtime,
         libkf5akonadisearch-plugins,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: accountwizard,
            gnupg-agent,
            gnupg2,
            kdepim-addons,
            kdepim-doc,
            kdepim-themeeditors,
            ktnef,
            pinentry-qt | pinentry-x11
Suggests: clamav,
          kaddressbook,
          kleopatra,
          procmail,
          spamassassin | bogofilter | spambayes (>= 1.0.4-6) | bsfilter | crm114
Breaks: libkdepim4 (<< 4:4.13.90),
        libkf5libkdepim5 (<= 4:16.04),
        libkf5messageviewer5 (<= 4:16.04),
        libmessageviewer4 (<< 4:4.13.90)
Replaces: libkdepim4 (<< 4:4.13.90),
          libkf5libkdepim5 (<= 4:16.04),
          libkf5messageviewer5 (<= 4:16.04),
          libmessageviewer4 (<< 4:4.13.90)
Provides: imap-client, mail-reader
Homepage: http://kontact.kde.org/kmail/
Description: full featured graphical email client
 KMail supports multiple accounts, mail filtering and email encryption.
 The program let you configure your workflow and it has good integration into
 KDE (Plasma Desktop) but is also useable with other Desktop Envionments.
 .
 This package is part of the KDE PIM module.

Package: knotes
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Breaks: knode (<< 4:4.14.5)
Replaces: knode (<< 4:4.14.5)
Description: sticky notes application
 KNotes is a program that lets you write sticky notes. The notes are saved
 automatically when you exit the program, and they display when you open the
 program.  The program supports printing and mailing your notes.
 .
 This package is part of the KDE PIM module.

Package: konsolekalendar
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

KDEPIM_RUNTIME_VERSION = 4:15.07.90

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

# Strict local dependencies (there are no external ones anyway)
override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kdepim-dbg (<= 4:15.12.1-1~~)'

override_dh_shlibdeps:
	$(overridden_command)
	set -e; \
	if [ -n "`ls debian/*.substvars 2>/dev/null`" ]; then \
	    echo "Tightening dependency on kdepim-runtime to (>= $(KDEPIM_RUNTIME_VERSION)"; \
	    sed -i '/^shlibs:[^=]\+=/{ s/\(^shlibs:[^=]\+=[[:space:]]*\|,[[:space:]]*\)\(kdepim-runtime\)\([[:space:]]*([[:space:]]*[><=]\+[^)]\+)\)\?/\1\2 (>= $(KDEPIM_RUNTIME_VERSION))/g }' debian/*.substvars; \
	fi
